from typing import List, Tuple
import numpy as np


cdef class InferenceEngine:
    cdef public int batch_size
    cdef public str engine_name
    cdef tuple get_input_shape(self)  # type: ignore
    cdef int get_batch_size(self)  # type: ignore
    cdef run(self, input_data)  # type: ignore
